=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dh-autoreconf,
  libjpeg-dev,
  libpng-dev,
- libqt4-dev,
+ qtbase5-dev | libqt4-dev,
  libsdl-dev,
  libswscale-dev,
  libtool,
