=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: libde265
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- autoconf,
- automake,
- debhelper (>= 9~),
+ debhelper (>= 9.20151219),
  dh-autoreconf,
  libjpeg-dev,
  libpng-dev,
  qtbase5-dev | libqt4-dev,
  libsdl-dev,
  libswscale-dev,
- libtool,
  libx11-dev,
  libxext-dev,
  libxv-dev,
- pkg-config,
- quilt
-Standards-Version: 3.9.5
+ pkg-config
+Standards-Version: 3.9.6
 Homepage: https://github.com/strukturag/libde265
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/libde265.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libde265.git
@@ -52,23 +50,6 @@
  The development headers for compiling programs that use libde265
  are provided by this package.
 
-Package: libde265-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- libde265-0 (= ${binary:Version}),
- ${misc:Depends}
-Description: Open H.265 video codec implementation - debug symbols
- libde265 is an open source implementation of the H.265 video codec.
- It is written from scratch in plain C for simplicity and efficiency.
- Its simple API makes it easy to integrate it into other software.
- .
- The debugging symbols for tracking down bugs in applications that
- use libde265 are provided by this package.
-
 Package: libde265-examples
 Section: video
 Architecture: any
