=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
@@ -13,5 +13,4 @@
 	fi
 
 override_dh_strip:
-	dh_strip -plibde265-0 --dbg-package=libde265-dbg
-	dh_strip --remaining-packages
+	dh_strip --ddeb-migration='libde265-dbg (<< 1.0.2-2~)'
