## libde265 1.0.3.1

=== enc265/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set (enc265_sources
   enc265.cc
+  image-io-png.cc
 )
 
 if(MSVC)
