=== debian/changelog ===
libde265 (1.0.3.1-1+rebuild1) UNRELEASED; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Fri, 22 Jan 2021 11:48:02 +0800

libde265 (1.0.3.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: ed3dc86431519d3d0df2b1e8709d1c4431230154']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:05:09 +0000
