## libde265 1.0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (libde265)
-cmake_minimum_required (VERSION 2.8)
+cmake_minimum_required (VERSION 2.8.8)
 
 # The version number.
 set (NUMERIC_VERSION 0x01000000)
