=== libde265/x86/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
   sse-motion.cc sse-motion.h sse-dct.h sse-dct.cc
 )
 
-add_library(x86 STATIC ${x86_sources})
+add_library(x86 OBJECT ${x86_sources})
 
-add_library(x86_sse STATIC ${x86_sse_sources})
+add_library(x86_sse OBJECT ${x86_sse_sources})
 
 set(sse_flags "")
 
@@ -16,7 +16,7 @@
   set(sse_flags "${sse_flags} -msse4.1")
 endif()
 
-target_link_libraries(x86 x86_sse)
+set(X86_OBJECTS $<TARGET_OBJECTS:x86> $<TARGET_OBJECTS:x86_sse> PARENT_SCOPE)
 
 if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
   SET_TARGET_PROPERTIES(x86 PROPERTIES COMPILE_FLAGS "-fPIC")
