=== debian/changelog ===
libde265 (1.0.3.3-deepin1) unstable; urgency=medium

   * fix: 更新libde265版本到1.0.3-1+deb10u3，修复CVE安全漏洞
        CVE-2022-47655 CVE-2022-43253 CVE-2022-43252 CVE-2022-43250 CVE-2022-43249 CVE-2022-43248
        CVE-2022-43245 CVE-2022-43244 CVE-2022-43243 CVE-2022-43242 CVE-2022-43241 CVE-2022-43240
        CVE-2022-43239 CVE-2022-43238 CVE-2022-43237 CVE-2022-43236 CVE-2022-43235 CVE-2021-36411
        CVE-2021-36410 CVE-2021-36408 CVE-2021-35452 CVE-2020-21606 CVE-2020-21605 CVE-2020-21604
        CVE-2020-21603 CVE-2020-21602 CVE-2020-21601 CVE-2020-21600 CVE-2020-21599 CVE-2020-21597
        CVE-2020-21596 CVE-2020-21595 CVE-2020-21594

 -- zengwei <zengwei1@uniontech.com>  Sun, 29 Jan 2023 16:14:15 +0800

libde265 (1.0.3.2-deepin1) unstable; urgency=medium

  * fix CVE-2021-36409.

 -- dinghao <dinghao@uniontech.com>  Mon, 26 Dec 2022 17:33:10 +0800
