=== libde265/encoder/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,3 @@
 add_subdirectory (algo)
 add_library(encoder OBJECT ${encoder_sources})
 set(ENCODER_OBJECTS $<TARGET_OBJECTS:encoder> ${ALGO_OBJECTS} PARENT_SCOPE)
-
-if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
-  SET_TARGET_PROPERTIES(encoder PROPERTIES COMPILE_FLAGS "-fPIC")
-endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
