=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: libde265
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- debhelper (>= 9.20151219),
- dh-autoreconf,
+ debhelper-compat (= 12),
  libjpeg-dev,
  libpng-dev,
  qtbase5-dev | libqt4-dev,
@@ -19,10 +17,10 @@
  libxext-dev,
  libxv-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.4.1
 Homepage: https://github.com/strukturag/libde265
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/libde265.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libde265.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libde265.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libde265
 
 Package: libde265-0
 Architecture: any
