=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -12,5 +14,6 @@
 			libde265-sherlock265; \
 	fi
 
+# MX don't need no stinkin' dbgsyms
 override_dh_strip:
-	dh_strip --ddeb-migration='libde265-dbg (<< 1.0.2-2~)'
+	dh_strip --no-automatic-dbgsym
