=== debian/changelog ===
libde265 (1.0.9-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 15:55:32 -0800

libde265 (1.0.9-1) unstable; urgency=medium

  * Add "Rules-Requires-Root: no".
  * New upstream version 1.0.9
  * Remove patches now part of upstream release.
  * Bump "Standards-Version" to 4.6.1
  * Add patch to provide "gl_VISIBILITY" macro.
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 25 Oct 2022 10:15:37 +0200

libde265 (1.0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream fixes for CVE-tracked vulnerabilities
    (Closes: #1014977)
    - CVE-2022-1253
    - CVE-2021-36411
    - CVE-2021-36410
    - CVE-2021-36409
    - CVE-2021-36408
    - CVE-2021-35452

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Oct 2022 15:26:20 +0200
